#include <iostream>
#include <chrono>

#include <opencv2/core.hpp>
#include <opencv2/videoio.hpp>
#include <opencv2/highgui.hpp>
#include <opencv2/imgproc.hpp>


int main(int argc, char* argv[])
{
	cv::VideoCapture capture;

	bool success = true;
	if (argc < 2)
	{
		success = capture.open(0);
	}
	else
	{
		success = capture.open(argv[1]);
		//capture.set(cv::CAP_PROP_FRAME_WIDTH, 640);
		//capture.set(cv::CAP_PROP_FRAME_HEIGHT, 480);
	}
	if (!success)
	{
		std::cerr << "Unable to open video capture" << std::endl;
		return 0;
	}

	cv::namedWindow("PreviewWindow");

	cv::Mat frame;
	while (capture.read(frame))
	{
		// ide jon a kepfeldolgozas
		cv::Mat processed = frame;

		cv::imshow("PreviewWindow", processed);

		char key = static_cast<char>(cv::waitKey(1));
		if (key == 27) { std::cout << "Exiting..." << std::endl; break; }
	}

	return 0;
}